{
    "name": "squzanswerer",
    "version": "0.1.0",
    "private": true,
    "type": "module",
    "scripts": {
        "dev": "vite",
        "build": "tsc && vite build",
        "build:widget": "tsc && vite build --config vite.config.widget.ts",
        "lint": "eslint . --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
        "preview": "vite preview",
        "cypress:open": "cypress open"
    },
    "dependencies": {
        "@emotion/react": "^11.10.5",
        "@emotion/styled": "^11.10.5",
        "@frontend/kitui": "^1.0.54",
        "@mui/icons-material": "^5.10.14",
        "@mui/material": "^5.10.14",
        "@mui/x-date-pickers": "^6.16.1",
        "@types/node": "^16.7.13",
        "axios": "^1.5.1",
        "emoji-mart": "^5.5.2",
        "immer": "^10.0.3",
        "moment": "^2.30.1",
        "nanoid": "^5.0.3",
        "notistack": "^3.0.1",
        "react": "^18.2.0",
        "react-dom": "^18.2.0",
        "react-error-boundary": "^4.0.12",
        "react-router-dom": "^6.21.3",
        "swr": "^2.2.4",
        "typescript": "^5.2.2",
        "use-debounce": "^9.0.4",
        "zustand": "^4.3.8"
    },
    "devDependencies": {
        "@emoji-mart/data": "^1.1.2",
        "@emoji-mart/react": "^1.1.1",
        "@types/react": "^18.2.43",
        "@types/react-dom": "^18.2.17",
        "@typescript-eslint/eslint-plugin": "^6.14.0",
        "@typescript-eslint/parser": "^6.14.0",
        "@vitejs/plugin-react": "^4.2.1",
        "cypress": "^13.6.1",
        "eslint": "^8.55.0",
        "eslint-plugin-react-hooks": "^4.6.0",
        "eslint-plugin-react-refresh": "^0.4.5",
        "typescript": "^5.2.2",
        "vite": "^5.0.8"
    }
}
